@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;600&family=Nunito:wght@800&family=Poppins:wght@400;600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
@tailwind base;
@tailwind components;
@tailwind utilities;

*:focus {
  outline: none;
}

*:focus:not(.focus-visible) {
  outline: none;
}

.react-calendar--doubleView {
  width: 400px;
}

@layer components {
  .x-margins {
    @apply mx-4 sm:mx-14 md:mx-24;
  }

  .apply-img-rounded img {
    @apply rounded-xl;
  }

  .apply-img-left-rounded img {
    @apply rounded-l-2xl;
  }

  .apply-img-top-rounded img {
    @apply rounded-t-2xl;
  }

  .apply-img-top-right-rounded img {
    @apply rounded-tr-2xl;
  }

  .apply-img-bottom-right-rounded img {
    @apply rounded-br-2xl;
  }

  .apply-img-bottom-left-rounded img {
    @apply rounded-bl-2xl;
  }

  .nunito-title {
    @apply font-nunito text-5xl sm:text-3xl;
  }

  .poppins-semibold {
    @apply font-poppins text-base font-semibold;
  }

  .poppins-xl-medium {
    @apply font-poppins text-xl font-medium;
  }

  .poppins-2xl {
    @apply font-poppins text-2xl;
  }

  .poppins-2xl-medium {
    @apply font-poppins text-2xl font-medium;
  }

  .poppins-3xl-semibold {
    @apply font-poppins text-3xl font-semibold;
  }

  .poppins-3xl-bold {
    @apply font-poppins text-3xl font-bold;
  }

  .poppins-4xl-semibold {
    @apply font-poppins text-4xl font-semibold;
  }

  .poppins-5xl-semibold {
    @apply font-poppins text-5xl font-semibold;
  }

  .inter {
    @apply font-inter text-base;
  }

  .inter-sm-normal {
    @apply font-inter text-sm font-normal;
  }

  .inter-xm-normal {
    @apply font-inter text-xs font-normal;
  }

  .inter-sm-medium {
    @apply font-inter text-sm font-medium;
  }

  .inter-sm-semibold {
    @apply font-inter text-sm font-semibold;
  }

  .inter-base-semibold {
    @apply font-inter text-base font-semibold;
  }

  .inter-title-bold {
    @apply font-inter text-xl font-bold;
  }

  .inter-title {
    @apply font-inter text-2xl sm:text-xl;
  }

  .inter-semibold {
    @apply font-inter text-lg font-semibold;
  }

  .inter-semibold-2 {
    @apply font-inter text-xl font-semibold;
  }

  .roboto {
    @apply font-roboto text-base;
  }
}
